#!/bin/bash -x
# Exit on the first failure
set -o errexit
pyfiles=`find . -name build -prune -o -name "*.py" | grep -v distribute_setup.py`
pocketlint $pyfiles
pep8 --exclude=build $pyfiles
nosetests
# This script is idempotent, so just try it if --nested-mods is passed.
if [ "$1" == "--nested-mods" ]; then
    sudo bin/setup-host-for-nested-lxc-containers.sh
fi
lpsetup/tests/integration/test_install_lxc.py
